For AI agents: a documentation index is available at https://developers.bump.sh/doc/workspace/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any Bump.sh Workspace API changes, ever again

Subscribe to the Bump.sh Workspace API changelog to be up to date on recent changes.

RSS

Changelog

Last update:
Compare
4 structure changes including:
2 Additions
2 Modifications
Modified 2
GET /versions/{version_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • state property Added
POST /versions
  • Response
  • 201 response Modified
    • application/json content type Modified
      • state property Added
Added 2
POST /versions/{version_id}/release
POST /versions/{version_id}/unrelease
3 structure changes including:
3 Modifications
Modified 3
GET /versions/{version_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • doc_name property Added
POST /mcp-servers/{mcp_server_id_or_slug}/deploy
  • Response
  • 201 response Modified
    • application/json content type Modified
      • mcp_server_name property Added
POST /versions
  • Response
  • 201 response Modified
    • application/json content type Modified
      • doc_name property Added

Since introduce of Bump.sh APIs hub URL of the workspace API has been modified to https://developers.bump.sh/doc/workspace/.

Let's be consistent in every example of this documentation, for example for the webhook Structure Change

Endpoint to deploy a new MCP server document:

Improve syntax consistency with other endpoints, favor kebab-case (hyphens).

And while here, add a link to our help center about MCP servers

2 structure changes including:
1 Addition
1 Removal
Removed 1
POST /mcp_servers/{mcp_server_id_or_slug}/deploy
Added 1
POST /mcp-servers/{mcp_server_id_or_slug}/deploy

In endpoint Deploy a new MCP server document, allow deployment of Arazzo workflow definition file, via the new property references (aka Arazzo sourcesDescriptions)

More details about Arazzo and sourcesDescriptions in the Arazzo documentation.

1 structure change including:
1 Modification
Modified 1
POST /mcp_servers/{mcp_server_id_or_slug}/deploy
  • Body
  • application/json content type Modified
    • references property Added

New endpoint: deploy a workflow document on your MCP server ✨

This feature is currently in closed beta. Request an early access at hello@bump.sh

1 structure change including:
1 Addition
Added 1
POST /mcp_servers/{mcp_server_id_or_slug}/deploy

Favor HTTP token authentication to access this endpoint and list hubs for a given organization.

1 structure change including:
1 Modification
Modified 1
GET /hubs
  • Authentication
  • Basic token authentication method Removed

Bump OpenAPI document to version 3.2, with related improvements:

  • Authentication scheme Basic token is identified as deprecated.

  • Production server has a name

9 structure changes including:
9 Modifications
Modified 9
DELETE /docs/{doc_id_or_slug}/branches/{slug}
  • Authentication
  • Basic token authentication method Modified
    • Basic token authentication method Modified
      • Authentication method is now deprecated
GET /docs/{doc_id_or_slug}/branches
  • Authentication
  • Basic token authentication method Modified
    • Basic token authentication method Modified
      • Authentication method is now deprecated
GET /hubs
  • Authentication
  • Basic token authentication method Modified
    • Basic token authentication method Modified
      • Authentication method is now deprecated
GET /hubs/{hub_id_or_slug}
  • Authentication
  • Basic token authentication method Modified
    • Basic token authentication method Modified
      • Authentication method is now deprecated
GET /versions/{version_id}
  • Authentication
  • Basic token authentication method Modified
    • Basic token authentication method Modified
      • Authentication method is now deprecated
PATCH /docs/{doc_id_or_slug}/branches/{slug}/set_default
  • Authentication
  • Basic token authentication method Modified
    • Basic token authentication method Modified
      • Authentication method is now deprecated
POST /docs/{doc_id_or_slug}/branches
  • Authentication
  • Basic token authentication method Modified
    • Basic token authentication method Modified
      • Authentication method is now deprecated
POST /validations
  • Authentication
  • Basic token authentication method Modified
    • Basic token authentication method Modified
      • Authentication method is now deprecated
POST /versions
  • Authentication
  • Basic token authentication method Modified
    • Basic token authentication method Modified
      • Authentication method is now deprecated

This change adds a new API endpoint to list all hubs of an organization. This new endpoint requires authentication with an organization API token.

1 structure change including:
1 Addition
Added 1
GET /hubs

In operation Promote branch as the default one, add a new response 200 when branch was already the default branch.

1 structure change including:
1 Modification
Modified 1
PATCH /docs/{doc_id_or_slug}/branches/{slug}/set_default
  • Response
  • 200 response Added
1 structure change including:
1 Modification
Modified 1
GET /versions/{version_id}
  • Query
  • formats query parameter Added
1 structure change including:
1 Modification
Modified 1
PATCH /docs/{doc_id_or_slug}/branches/{slug}/set_default
  • Response
  • 422 response Added

Clarify endpoints about branches:

Use Branch#slug only, remove mention to uuid.

2 structure changes including:
2 Modifications
Modified 2
GET /hubs/{hub_id_or_slug}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • apis property Modified
      • specificationVersion property Added
POST DocStructureChange webhook
  • Body
  • application/json content type Modified
    • api property Modified
      • url property Modified
        • Property is now deprecated
      • properties property Modified
      • humanUrl, tags properties Added

Enhance example about DocumentationChange Structure change diff endpoint, using ShortId for Change urls.

Minor change

We have changed the previews endpoint to make it possible to create/update a preview with a unique url field only. We will take care of downloading the definition from that URL and publish your documentation preview.

Minor refactoring

This change around the definition attribute is mostly a modelling change on our Preview model. The change doesn't affect clients.

2 structure changes including:
2 Modifications
Modified 2
POST /previews
  • Body
  • application/json content type Modified
    • definition property Modified
      • Permission is now writeOnly
      • Property is no longer required
      • definition property Modified
        • Permission is now writeOnly
        • Property is no longer required
    • url property Added
PUT /previews/{preview_id}
  • Body
  • application/json content type Modified
    • definition property Modified
      • Permission is now writeOnly
      • Property is no longer required
      • definition property Modified
        • Permission is now writeOnly
        • Property is no longer required
    • url property Added

Enhance example about Create a new branch endpoint.

3 structure changes including:
3 Modifications
Modified 3
GET /diffs/{id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • details property Modified
GET /versions/{version_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • diff_details property Modified
POST DocStructureChange webhook
  • Body
  • application/json content type Modified
    • diff property Modified

Expose current and preview object in DiffItem object, to be able to have more context about the modification.

3 structure changes including:
3 Modifications
Modified 3
GET /diffs/{id}
  • Response
  • 200 response Modified
    • details property Modified
GET /versions/{version_id}
  • Response
  • 200 response Modified
    • diff_details property Modified
POST DocStructureChange webhook
  • Body
  • content type Modified
    • diff property Modified